summaryrefslogtreecommitdiffstats
path: root/26
diff options
context:
space:
mode:
authorGitHub Workflow <workflow@github.com>2023-07-09 20:20:25 +0000
committerGitHub Workflow <workflow@github.com>2023-07-09 20:20:25 +0000
commit38b8110c58782cc283c3a784c1ddbe8f90f3cec3 (patch)
tree071efe4a5175f5e0940ebae2c20fd659cd44352a /26
parenta68c6ef348e605940b1a82d75463062ec0ed8333 (diff)
Runs update.sh
Diffstat (limited to '26')
-rwxr-xr-x26/apache/entrypoint.sh5
-rwxr-xr-x26/fpm-alpine/entrypoint.sh5
-rwxr-xr-x26/fpm/entrypoint.sh5
3 files changed, 15 insertions, 0 deletions
diff --git a/26/apache/entrypoint.sh b/26/apache/entrypoint.sh
index 941dc3ee..4c85f6ad 100755
--- a/26/apache/entrypoint.sh
+++ b/26/apache/entrypoint.sh
@@ -157,6 +157,11 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
if version_greater "$image_version" "$installed_version"; then
echo "Initializing nextcloud $image_version ..."
if [ "$installed_version" != "0.0.0.0" ]; then
+ if [ "${image_version%%.*}" -gt "$((${installed_version%%.*} + 1))" ]; then
+ echo "Can't start Nextcloud because upgrading from $installed_version to $image_version is not supported."
+ echo "It is only possible to upgrade one major version at a time. For example, if you want to upgrade from version 14 to 16, you will have to upgrade from version 14 to 15, then from 15 to 16."
+ exit 1
+ fi
echo "Upgrading nextcloud from $installed_version ..."
run_as 'php /var/www/html/occ app:list' | sed -n "/Enabled:/,/Disabled:/p" > /tmp/list_before
fi
diff --git a/26/fpm-alpine/entrypoint.sh b/26/fpm-alpine/entrypoint.sh
index 941dc3ee..4c85f6ad 100755
--- a/26/fpm-alpine/entrypoint.sh
+++ b/26/fpm-alpine/entrypoint.sh
@@ -157,6 +157,11 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
if version_greater "$image_version" "$installed_version"; then
echo "Initializing nextcloud $image_version ..."
if [ "$installed_version" != "0.0.0.0" ]; then
+ if [ "${image_version%%.*}" -gt "$((${installed_version%%.*} + 1))" ]; then
+ echo "Can't start Nextcloud because upgrading from $installed_version to $image_version is not supported."
+ echo "It is only possible to upgrade one major version at a time. For example, if you want to upgrade from version 14 to 16, you will have to upgrade from version 14 to 15, then from 15 to 16."
+ exit 1
+ fi
echo "Upgrading nextcloud from $installed_version ..."
run_as 'php /var/www/html/occ app:list' | sed -n "/Enabled:/,/Disabled:/p" > /tmp/list_before
fi
diff --git a/26/fpm/entrypoint.sh b/26/fpm/entrypoint.sh
index 941dc3ee..4c85f6ad 100755
--- a/26/fpm/entrypoint.sh
+++ b/26/fpm/entrypoint.sh
@@ -157,6 +157,11 @@ if expr "$1" : "apache" 1>/dev/null || [ "$1" = "php-fpm" ] || [ "${NEXTCLOUD_UP
if version_greater "$image_version" "$installed_version"; then
echo "Initializing nextcloud $image_version ..."
if [ "$installed_version" != "0.0.0.0" ]; then
+ if [ "${image_version%%.*}" -gt "$((${installed_version%%.*} + 1))" ]; then
+ echo "Can't start Nextcloud because upgrading from $installed_version to $image_version is not supported."
+ echo "It is only possible to upgrade one major version at a time. For example, if you want to upgrade from version 14 to 16, you will have to upgrade from version 14 to 15, then from 15 to 16."
+ exit 1
+ fi
echo "Upgrading nextcloud from $installed_version ..."
run_as 'php /var/www/html/occ app:list' | sed -n "/Enabled:/,/Disabled:/p" > /tmp/list_before
fi